> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

Retrieve a list of documents from a specific data lake database.


## OpenAPI

````yaml GET /api/v1/datalake/{source}/databases/{db}/documents
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/datalake/{source}/databases/{db}/documents:
    get:
      tags:
        - Data Lake
      summary: List documents
      operationId: get-datalake-documents
      parameters:
        - name: source
          in: path
          required: true
          schema:
            type: string
        - name: db
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of documents and headers
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                  headers:
                    type: array
                    items:
                      type: string
              examples:
                success:
                  value:
                    data:
                      - _id: 68db6f2c0ac7da8532656a2
                        Origin: Venice
                        Destination: Novara
                        Service_ID: V0000440
                    headers:
                      - _id
                      - Origin
                      - Destination
                      - Service_ID
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````